import { s as script$1 } from './headerText-0fd3adc1.mjs';
import { s as script$4 } from './normalText-66005fcf.mjs';
import { s as script$3 } from './textField-db6aa9a7.mjs';
import { s as script$2 } from './fileAttachment-f345dcea.mjs';
import script$5 from './TsIcon.mjs';
import script$6 from './TsButton.mjs';
import { L as Logic } from './index-2059e79e.mjs';
import { resolveComponent, openBlock, createElementBlock, withModifiers, createVNode, withCtx, createElementVNode, createTextVNode } from 'vue';
import './_commonjsHelpers-fe705abc.mjs';
import 'http';
import 'https';
import 'stream';
import 'assert';
import 'tty';
import 'util';
import 'os';
import 'has-flag';
import 'zlib';
import 'form-data';

var script = {
    components: {
        TsHeaderText: script$1,
        TsFileAttachment: script$2,
        TsTextField: script$3,
        TsNormalText: script$4,
        TsIcon: script$5,
        TsButton: script$6,
    },
    props: {},
    name: "TsAddEducation",
    setup() {
        const formData = Logic.users.tutors.CreateEducationForm;
        const addEducation = () => {
            formData.to = Logic.common.dateToMilliseconds(formData.to.toString());
            formData.from = Logic.common.dateToMilliseconds(formData.from.toString());
            Logic.users.tutors.CreateTutorEducation(true);
        };
        return {
            formData,
            addEducation,
        };
    },
};

const _hoisted_1 = ["onClick"];
const _hoisted_2 = /*#__PURE__*/createTextVNode(" Add Education ");
const _hoisted_3 = { class: "w-full grid grid-cols-12 py-3 mdlg:!px-3 px-0 gap-2" };
const _hoisted_4 = { class: "flex flex-col col-span-12" };
const _hoisted_5 = /*#__PURE__*/createTextVNode(" School ");
const _hoisted_6 = { class: "flex flex-col col-span-12" };
const _hoisted_7 = /*#__PURE__*/createTextVNode(" Degree ");
const _hoisted_8 = { class: "flex flex-col space-y-1 col-span-12" };
const _hoisted_9 = /*#__PURE__*/createTextVNode(" Year ");
const _hoisted_10 = { class: "flex flex-row items-center space-x-2 w-full" };
const _hoisted_11 = { class: "flex flex-col w-full" };
const _hoisted_12 = { class: "flex flex-col w-full" };
const _hoisted_13 = { class: "flex flex-col col-span-12" };
const _hoisted_14 = /*#__PURE__*/createTextVNode(" Verification ");
const _hoisted_15 = { class: "col-span-12 gap-2 grid grid-cols-12 pt-2" };
const _hoisted_16 = /*#__PURE__*/createTextVNode(" Cancle ");
const _hoisted_17 = /*#__PURE__*/createTextVNode(" Done ");

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_ts_header_text = resolveComponent("ts-header-text");
  const _component_ts_text_field = resolveComponent("ts-text-field");
  const _component_ts_normal_text = resolveComponent("ts-normal-text");
  const _component_ts_icon = resolveComponent("ts-icon");
  const _component_ts_file_attachment = resolveComponent("ts-file-attachment");
  const _component_ts_button = resolveComponent("ts-button");

  return (openBlock(), createElementBlock("div", {
    class: "rounded shadow-md bg-white md:!py-5 md:!px-5 space-y-2 lg:!text-sm mdlg:!text-[12px] text-xs py-3 pb-4 px-4 flex flex-col lg:!w-[30%] mdlg:!w-[37%] md:!w-[50%] w-full",
    onClick: withModifiers($event => (true), ["stop"])
  }, [
    createVNode(_component_ts_header_text, {
      size: 'lg',
      customClass: ' w-full text-center'
    }, {
      default: withCtx(() => [
        _hoisted_2
      ]),
      _: 1 /* STABLE */
    }),
    createElementVNode("div", _hoisted_3, [
      createElementVNode("div", _hoisted_4, [
        createVNode(_component_ts_text_field, {
          placeholder: "Hogwarts",
          "custom-class": "mdlg:px-3 px-2  border-[1px] rounded border-gray-200",
          modelValue: $setup.formData.school,
          "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (($setup.formData.school) = $event)),
          paddings: "py-3",
          hasTitle: true
        }, {
          title: withCtx(() => [
            _hoisted_5
          ]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["modelValue"])
      ]),
      createElementVNode("div", _hoisted_6, [
        createVNode(_component_ts_text_field, {
          placeholder: "Ph.D",
          "custom-class": "mdlg:px-3 px-2  border-[1px] rounded border-gray-200",
          paddings: "py-3",
          hasTitle: true,
          modelValue: $setup.formData.degree,
          "onUpdate:modelValue": _cache[1] || (_cache[1] = $event => (($setup.formData.degree) = $event))
        }, {
          title: withCtx(() => [
            _hoisted_7
          ]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["modelValue"])
      ]),
      createElementVNode("div", _hoisted_8, [
        createVNode(_component_ts_normal_text, null, {
          default: withCtx(() => [
            _hoisted_9
          ]),
          _: 1 /* STABLE */
        }),
        createElementVNode("div", _hoisted_10, [
          createElementVNode("div", _hoisted_11, [
            createVNode(_component_ts_text_field, {
              placeholder: "From",
              "custom-class": "mdlg:px-3 px-2  border-[1px] rounded border-gray-200",
              paddings: "py-3",
              hasTitle: false,
              modelValue: $setup.formData.from,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = $event => (($setup.formData.from) = $event)),
              type: "date"
            }, null, 8 /* PROPS */, ["modelValue"])
          ]),
          createVNode(_component_ts_icon, {
            name: 'dash',
            customClass: 'h-[3px]'
          }),
          createElementVNode("div", _hoisted_12, [
            createVNode(_component_ts_text_field, {
              placeholder: "To",
              "custom-class": "mdlg:px-3 px-2  border-[1px] rounded border-gray-200",
              paddings: "py-3",
              type: "date",
              modelValue: $setup.formData.to,
              "onUpdate:modelValue": _cache[3] || (_cache[3] = $event => (($setup.formData.to) = $event)),
              hasTitle: false
            }, null, 8 /* PROPS */, ["modelValue"])
          ])
        ])
      ]),
      createElementVNode("div", _hoisted_13, [
        createVNode(_component_ts_file_attachment, {
          placeholder: "Upload file",
          modelValue: $setup.formData.verification,
          "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => (($setup.formData.verification) = $event))
        }, {
          title: withCtx(() => [
            _hoisted_14
          ]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["modelValue"])
      ]),
      createElementVNode("div", _hoisted_15, [
        createVNode(_component_ts_button, {
          bgColor: 'bg-white',
          padding: 'px-4 py-3',
          customClass: 'border-[1px] border-primaryPurple col-span-6',
          textColor: 'text-primaryPurple'
        }, {
          default: withCtx(() => [
            _hoisted_16
          ]),
          _: 1 /* STABLE */
        }),
        createVNode(_component_ts_button, {
          onClick: _cache[5] || (_cache[5] = $event => ($setup.addEducation())),
          customClass: 'border-[1px] border-primaryPurple col-span-6',
          padding: 'px-4 py-3'
        }, {
          default: withCtx(() => [
            _hoisted_17
          ]),
          _: 1 /* STABLE */
        })
      ])
    ])
  ], 8 /* PROPS */, _hoisted_1))
}

script.render = render;
script.__file = "src/components/TsAddEducation/index.vue";

export { script as default };
